%define name pbbuttonsd
%define version 0.7.4
%define release %mkrel 1
%define real_ver 0.7.4

Name: %{name}
Summary: Apple Powerbook power/keyboard daemon
Version: %{version}
Release: %{release}
Source: http://prdownloads.sourceforge.net/pbbuttons/%{name}-%{real_ver}.tar.bz2
Source1: pbbuttonsd.init
Patch0:	 pbbuttonsd-0.6.7-haldaemon.patch.bz2
Patch2:  pbbuttonsd_laptopmode_supermount.patch.bz2
URL: http://pbbuttons.sourceforge.net/
Group: System/Configuration/Hardware
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libalsa-devel glib2-devel
ExclusiveArch: ppc
License: GPL

%description
A special Tool for Apple PowerBook or iBook (TM) owners. It makes
the keys for controlling the brightness and volume work
as expected. It also controls trackpad settings and
power management.

%package devel
Summary:	Include files for pbbuttonsd
Group:		Development/Other
Requires:	%{name} = %{version}

%description devel
pbbuttonsd header files for pbbuttonsd development and client support.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{real_ver}
# (sb) skip backup files or it tried to install them
%patch0 -p1
%patch2 -p1
%build
%configure
%make

%install
install -d %buildroot%{_sysconfdir}
#depends on patch0:
chmod +x scripts/{scripts,event}.d/hal

%makeinstall
install -c -D -m755 %{SOURCE1} %buildroot%{_initrddir}/pbbuttonsd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service pbbuttonsd

%preun
%_preun_service pbbuttonsd

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING README TODO
%{_mandir}/man*/*
%{_bindir}/*
%dir /var/lib/ibam
%lang(ca) %{_datadir}/locale/ca/*
%lang(de) %{_datadir}/locale/de/*
%lang(es) %{_datadir}/locale/es/*
#lang(it) %{_datadir}/locale/it/*

%config(noreplace) %{_sysconfdir}/pbbuttonsd.conf
%config(noreplace) %{_sysconfdir}/power/README

%defattr(0755,root,root)
%config(noreplace) %{_sysconfdir}/power/pmcs*
%config(noreplace) %{_sysconfdir}/power/event.d/*
%config(noreplace) %{_sysconfdir}/power/scripts.d/*
%config(noreplace) %{_initrddir}/pbbuttonsd

%files devel
%defattr(-,root,root,0755)
%{_includedir}/*
%{_libdir}/*

%changelog
* Sun Mar 05 2006 Danny Tholen <obiwan@mailmij.org> 0.7.4-1mdk
- long overdue 0.7.4
- drop patch3 (applied upstream)
- update init script
- add buildreq for glib2-devel
- create /var/lib/ibam dir.

* Thu Oct 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7.2-1mdk
- 0.7.2

* Tue Sep 13 2005 Danny Tholen <obiwan@mailmij.org> 0.7.1-1mdk
- new version

* Wed Jun 01 2005 Danny Tholen <obiwan@mailmij.org> 0.6.10-1mdk
- use mkrel
- update
- update patch0: be sure hal is down before sleeping (still looking for kernel fix...)
- fix files section; italian locale seems to have been dropped

* Sun Mar 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.7-5mdk
- add BuildRequires: libalsa-devel

* Wed Mar 02 2005 Danny Tholen <obiwan@mailmij.org> 0.6.7-4mdk
- drop prereq on rpm-helper

* Mon Feb 28 2005 Danny Tholen <obiwan@mailmij.org> 0.6.7-3mdk
- update to 0.6.7a and drop patch1 (merged)
- fix initscript
- apm-compat fix
- ignore remounting of supermounted devices (if you're supermounting ext3/reiser/xfs
   you are not be able to use laptop-mode to its fullest extend)

* Wed Jan 26 2005 Danny Tholen <obiwan@mailmij.org> 0.6.7-2mdk
- fix a segfault (patch1)

* Wed Jan 26 2005 Stew Benedict <sbenedict@mandrakesoft.com> 0.6.7-1mdk
- 0.6.7
- add modified patch from Ubuntu to stop/start haldaemon at sleep (Danny)

* Mon Nov  1 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.6.5-3mdk
- tweak initscript again (Danny)

* Mon Oct 25 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.6.5-2mdk
- 0.6.5-4 (fixes random sleep-on-ac problem)
- wait for /dev/input/event* devices before starting daemon

* Thu Sep 30 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.6.5-1mdk
- 0.6.5, new URL, drop patch1 - merged upstream, new conf file layout

* Mon Mar 10 2003 Ben Reser <ben@reser.org> 0.5.2-1mdk
- Updated to 0.5.2 by Stew Benedict 
- Patch pbbuttonsd.conf to have the correct keyid for the
  eject key by default.
- rpmlint permission fixes

* Sat Jun 08 2002 Ben Reser <ben@reser.org> 0.4.10-2brs
- Patched 0.4.10 to fix bugs, namely pressing save config
  in powerprefs caused the machine to go to sleep due to
  a missing break; and it wouldn't save the new nodim
  option because nobody added it to the save setup.

* Sat Jun 08 2002 Ben Reser <ben@reser.org> 0.4.10-1brs
- 0.4.10
- Ported nopowermanagement patch to 0.4.10

* Tue Jun 04 2002 Ben Reser <ben@reser.org> 0.4.9-2brs
- Added nopowermanagement patch that allows you to disable
  pbbuttonsd power management features.  Really handy since
  it seems to be buggy.
- Fixed init script.  restart was missing and reload didn't
  work right.

* Wed May 02 2002 Ben Reser <ben@reser.org> 0.4.9-1mdk
- First mandrake build.
